Skip to main content
GET
Search TikTok users (live)

Authorizations

Authorization
string
header
required

XPOZ API access key, created from the dashboard or POST /api/tokens. Send as Authorization: Bearer <access key>.

Query Parameters

name
string
required

Name to search for. Must not be blank.

fields
enum<string>[]

TikTok user fields to return. Comma-separated. Allowed values: id, username, nickname, signature, secUid, avatar, isPrivate, isVerified, followerCount, followingCount, likeCount, postCount, language, region, createdAt, usernameModifyTime.

Available options:
id,
username,
nickname,
signature,
secUid,
avatar,
isPrivate,
isVerified,
followerCount,
followingCount,
likeCount,
postCount,
language,
region,
createdAt,
usernameModifyTime
cursor
string

Opaque cursor from next_page_cursor of the previous page.

Response

One page of results.

Envelope for on-demand /live endpoints: one provider page plus a cursor.

results
object[]
required
count
integer
required
dataSource
enum<string>
required

Where the results came from.

Available options:
database,
api,
hybrid
has_more
boolean
required
next_page_cursor
string | null
required